Bug 979237 - brick processes crash on writev
brick processes crash on writev
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 23:28 EDT by Pranith Kumar K
Modified: 2013-07-24 13:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:43:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2013-06-27 23:28:50 EDT
Description of problem:
If we run http://review.gluster.org/#/c/5258/2/tests/bugs/bug-978794.t on master it is crashing with following backtrace

Missing separate debuginfos, use: debuginfo-install glibc-2.15-37.fc17.x86_64 keyutils-libs-1.5.5-2.fc17.x86_64 krb5-libs-1.10-5.fc17.x86_64 libaio-0.3.109-5.fc17.x86_64 libcom_err-1.42-4.fc17.x86_64 libgcc-4.7.2-2.fc17.x86_64 libselinux-2.1.10-3.fc17.x86_64 openssl-1.0.0j-1.fc17.x86_64 zlib-1.2.5-6.fc17.x86_64
(gdb) bt
#0  0x00007f7cdb99c044 in server_writev_cbk (frame=0x7f7ce385a000, cookie=0x7f7ce3a692fc, this=0x10af620, op_ret=-1, op_errno=9, 
    prebuf=0x7f7cda598290, postbuf=0x7f7cda598220, xdata=0x0) at server-rpc-fops.c:1495
#1  0x00007f7cdbbc663f in io_stats_writev_cbk (frame=0x7f7ce3a692fc, cookie=0x7f7ce3a693a8, this=0x10ae2d0, op_ret=-1, op_errno=9, 
    prebuf=0x7f7cda598290, postbuf=0x7f7cda598220, xdata=0x0) at io-stats.c:1371
#2  0x00007f7cdbde1e8f in marker_writev_cbk (frame=0x7f7ce3a693a8, cookie=0x7f7ce3a69500, this=0x10ace50, op_ret=-1, op_errno=9, 
    prebuf=0x7f7cda598290, postbuf=0x7f7cda598220, xdata=0x0) at marker.c:652
#3  0x00007f7ce038b222 in iot_writev_cbk (frame=0x7f7ce3a69500, cookie=0x7f7ce3a69658, this=0x10aa900, op_ret=-1, op_errno=9, 
    prebuf=0x7f7cda598290, postbuf=0x7f7cda598220, xdata=0x0) at io-threads.c:1123
#4  0x00007f7ce05a986a in pl_writev_cbk (frame=0x7f7ce3a69658, cookie=0x7f7ce3a697b0, this=0x10a9700, op_ret=-1, op_errno=9, 
    prebuf=0x7f7cda598290, postbuf=0x7f7cda598220, xdata=0x0) at posix.c:1092
#5  0x00007f7ce0be2324 in posix_writev (frame=0x7f7ce3a697b0, this=0x10a6a30, fd=0x10d1c94, vector=0x10f16a0, count=1, offset=4, 
    flags=32769, iobref=0x10f3800, xdata=0x0) at posix.c:2276
#6  0x00007f7ce4c53edf in default_writev (frame=0x7f7ce3a697b0, this=0x10a8430, fd=0x10d1c94, vector=0x10f16a0, count=1, off=4, 
    flags=32769, iobref=0x10f3800, xdata=0x0) at defaults.c:987
#7  0x00007f7ce05aac11 in pl_writev (frame=0x7f7ce3a69658, this=0x10a9700, fd=0x10d1c94, vector=0x10f16a0, count=1, offset=4, 
    flags=32769, iobref=0x10f3800, xdata=0x0) at posix.c:1324
#8  0x00007f7ce038b4b1 in iot_writev_wrapper (frame=0x7f7ce3a69500, this=0x10aa900, fd=0x10d1c94, vector=0x10f16a0, count=1, 
    offset=4, flags=32769, iobref=0x10f3800, xdata=0x0) at io-threads.c:1135
#9  0x00007f7ce4c69ab9 in call_resume_wind (stub=0x7f7ce34adef8) at call-stub.c:2318
#10 0x00007f7ce4c714c1 in call_resume (stub=0x7f7ce34adef8) at call-stub.c:2774
#11 0x00007f7ce038520e in iot_worker (data=0x10c2310) at io-threads.c:191
#12 0x00000035d7607d14 in start_thread () from /lib64/libpthread.so.0
#13 0x00000035d72f199d in clone () from /lib64/libc.so.6
(gdb) p conn
$1 = (server_connection_t *) 0x0


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2013-06-27 23:49:42 EDT
REVIEW: http://review.gluster.org/5266 (protocol/server: Initialize connection variable) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Anand Avati 2013-06-28 02:32:26 EDT
COMMIT: http://review.gluster.org/5266 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4bea8a2cfeaa8e037c6566b6a192bc31a2c004ca
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Fri Jun 28 09:01:08 2013 +0530

    protocol/server: Initialize connection variable
    
    Change-Id: I46badd812e9b936911ddd2793cef7ce30ec220a6
    BUG: 979237
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5266
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Note You need to log in before you can comment on or make changes to this bug.